### Method

# Gtk TreeViewColumn cell_get_size

#### Declaration [src]

    void
    gtk_tree_view_column_cell_get_size (
      GtkTreeViewColumn* tree_column,
      int* x_offset,
      int* y_offset,
      int* width,
      int* height
    )

#### Description [src]

Obtains the width and height needed to render the column. This is used primarily by the `GtkTreeView`.

#### Parameters

`x_offset` | `int*`
| Location to return x offset of a cell relative to `cell_area`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`y_offset` | `int*`
| Location to return y offset of a cell relative to `cell_area`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`width` | `int*`
| Location to return width needed to render a cell.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`height` | `int*`
| Location to return height needed to render a cell.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.